## cairo-dock-plug-ins 3.4.1%2Bgit20201022.a0d3415c

=== motion-blur/data/CMakeLists.txt ===

########### install files ###############

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/motion_blur.conf
	icon.png
	DESTINATION ${motion_blurdatadir})

=== quick-browser/data/CMakeLists.txt ===

########### install files ###############

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/quick-browser.conf
	preview.jpg
	icon.svg
	DESTINATION ${quick_browserdatadir})

=== template/data/CMakeLists.txt ===

########### install files ###############

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/CD_APPLET_NAME.conf
	preview.jpg
	icon.png
	DESTINATION ${pkgdatadir})

=== debian/changelog ===
cairo-dock-plug-ins (3.4.1+git20201022.a0d3415c-1) unstable; urgency=medium

  * Snapshot, taken from the master (20201022). (Closes: #966901)
  * Update d/control.
    * Add libssl-dev to B-D.
    * Switch from libsensors4-dev to libsensors-dev in B-D (Closes: #917433)
    * Use libayatana-ido3-dev instead of libayatana-ido3-0.4-dev.
      (Closes: #907375)
    * Use libayatana-indicator3-dev instead of libindicator3-dev.
      (Closes: #956760)
  * Update d/*.lintian-overrides.
    * Drop malformed-override Unknown tag.
  * Update d/copyright
    * Switch copyright in https mode.
    * Fix lintian warning: source: globbing-patterns-out-of-order.
  * Bump d/compat to 10.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 03 Jan 2021 00:32:07 +0900

cairo-dock-plug-ins (3.4.1-6) unstable; urgency=medium

  * Drop python2 support of cairo-dock-plug-ins (Closes: #936263)
  * Fix build with lastet libetpan-dev (Closes: #944424)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 01 Apr 2020 15:56:27 +0900

cairo-dock-plug-ins (3.4.1-5) unstable; urgency=medium

  [ Scott Kitterman ]
  * Drop python2 parts of cairo-dock-plug-ins (Closes: #936263)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 12 Dec 2019 09:10:37 +0900

cairo-dock-plug-ins (3.4.1-4) unstable; urgency=medium

  * Change team mail address. (Closes: #899966)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 25 May 2018 09:05:47 +0900

cairo-dock-plug-ins (3.4.1-3) unstable; urgency=medium

  * Move to salsa.
  * Bump Standards-Version to 4.1.4.
  * Stop using libido3-0.1-dev and use libayatana-ido3-0.4-dev in B-D.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 23 Apr 2018 08:34:07 +0900

cairo-dock-plug-ins (3.4.1-2) unstable; urgency=medium

  * Add -D_POSIX_C_SOURCE=200809L to CFLAGS and CXXFLAGS (Closes: #882418)
  * Update Standards-Version to 4.1.1.
  * Change Priority from extra to optional.
  * Fix override data of cairo-dock-dbus-plug-in-interface-vala.
  * Delete duplicate license in debian/copyright.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 05 Dec 2017 15:01:01 +0900

cairo-dock-plug-ins (3.4.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Stop building cairo-dock-weblets-plug-in, it required a version
    of WebKitGTK+ that won't be in buster. (Closes: #866634)

 -- Adrian Bunk <bunk@debian.org>  Wed, 09 Aug 2017 12:19:29 +0300

## cairo-dock-plug-ins 3.4.1+git20201022.a0d3415c

=== CMakeLists.txt ===
########### requirements ###############

cmake_minimum_required (VERSION 2.6)
find_package (PkgConfig)
include (CheckLibraryExists)
include (CheckIncludeFiles)
include (CheckFunctionExists)
include (CheckSymbolExists)
include ("${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/GNUInstallDirs.cmake")

########### project ###############

project ("cairo-dock-plugins")
set (VERSION "3.4.99.alpha1")

add_definitions (-std=gnu99 -Wall -Werror-implicit-function-declaration) # -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration -Wstrict-prototypes -Wreturn-type -Wparentheses -Warray-bounds)
if (NOT DEFINED CMAKE_BUILD_TYPE)
	add_definitions (-O3)
endif()
add_definitions (-DGL_GLEXT_PROTOTYPES="1")

############ sources tarball #############

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
set (CPACK_SOURCE_IGNORE_FILES
	"/build/;/.bzr/;/.bzrignore$;/.git/;/.gitignore$;/misc/;~$;${CPACK_SOURCE_IGNORE_FILES}")
include (CPack)

add_custom_target(dist
	COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
add_custom_target(dist-bzr
	COMMAND bzr export ${CMAKE_PROJECT_NAME}-${VERSION}.tar.gz
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

############ uninstall #############

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)
add_custom_target (uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

########### global variables ###############

if( WIN32 )
	message(FATAL_ERROR "Cairo-Dock requires an air-conditioned room. Please close Windows!")
endif( WIN32 )

set (PACKAGE ${CMAKE_PROJECT_NAME})
set (GETTEXT_PACKAGE ${PACKAGE})

if ("${PACKAGEMENT}" STREQUAL "") ## do not check if we're using the same version when packaging the application (e.g. if we just want to generate a tarball of a previous version)
	# we need GLDI which contains most global var: check it now to avoid many errors with regex
	pkg_check_modules (GLDI REQUIRED gldi=${VERSION})
	if (NOT GLDI_FOUND)
		execute_process(
			COMMAND pkg-config --modversion gldi  # 2.2.0-3
			OUTPUT_VARIABLE dock_version)
		if (NOT "${PACKAGEMENT}" STREQUAL "")
			STRING (REGEX REPLACE "\n" "" dock_version ${dock_version})
		endif ()
		MESSAGE (FATAL_ERROR "Error: version mismatch with the core: ${VERSION} <> ${dock_version}")
	endif ()
endif ()

set (dock_version ${VERSION}) # should be the same except if PACKAGEMENT is set

# get plug-ins install dir
execute_process(
    COMMAND pkg-config gldi --variable=pluginsdir  # /usr/lib/cairo-dock # or /usr/lib/x86_64-linux-gnu/cairo-dock
    OUTPUT_VARIABLE pluginsdir)
STRING (REGEX REPLACE "\n" "" pluginsdir ${pluginsdir})  # remove the \n
# get plug-ins data dir
execute_process(
    COMMAND pkg-config gldi --variable=pluginsdatadir  # /usr/share/cairo-dock/plug-ins
    OUTPUT_VARIABLE pluginsdatadir)
STRING (REGEX REPLACE "\n" "" pluginsdatadir ${pluginsdatadir})
# get prefix dir
execute_process(
    COMMAND pkg-config gldi --variable=prefix  # /usr/share/cairo-dock/plug-ins
    OUTPUT_VARIABLE prefix)
STRING (REGEX REPLACE "\n" "" prefix ${prefix})
# get GTK version (must be the same as the core, as GTK2 and GTK3 can't coexist at runtime)
execute_process(
    COMMAND pkg-config gldi --variable=gtkversion  # 2 or 3
    OUTPUT_VARIABLE gtkversion)
STRING (REGEX REPLACE "\n" "" gtkversion ${gtkversion})

# check that installation dir matches with the core
GET_FILENAME_COMPONENT(libdir "${pluginsdir}/.." ABSOLUTE)  # /usr/lib # or /usr/lib/x86_64-linux-gnu
GET_FILENAME_COMPONENT(pkgdatadir "${pluginsdatadir}/.." ABSOLUTE)  # /usr/share/cairo-dock
GET_FILENAME_COMPONENT(datadir "${pluginsdatadir}/../.." ABSOLUTE)  # /usr/share
if (NOT "${CMAKE_INSTALL_PREFIX}" STREQUAL "${prefix}"
		OR NOT "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}" STREQUAL "${libdir}"
		OR NOT "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}" STREQUAL "${datadir}")
	message (STATUS "It seems that the current CMAKE_INSTALL_{PREFIX,LIBDIR,DATAROOTDIR} flags are not the same that you have used with the core.")
	message (STATUS " It will be replaced by this value: ${prefix}")
	message (WARNING "Plug-ins should be installed in the same directory as the core, that is to say in ${pluginsdir}")
	set (CMAKE_INSTALL_PREFIX "${prefix}")
	#set (libdir "${CMAKE_INSTALL_PREFIX}/${libname}/cairo-dock")
endif()

# set internationalisation
set (GETTEXT_PLUGINS "cairo-dock-plugins")
set (localedir "${prefix}/${CMAKE_INSTALL_LOCALEDIR}")
set (gaugesdir "${datadir}/cairo-dock/gauges")

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_modules/")  # additionnal FindPackage files

set (MODULES_MISSING "")
set (MODULES_INTEGRATION_MISSING "")
set (PROGRAMS_MISSING "")


###########     Misc     ###############
macro (enable_if_not_defined MODULE1)
	if (NOT DEFINED ${MODULE1}) # true if not defined
		set (${MODULE1} TRUE)
	endif ()
endmacro (enable_if_not_defined)


##########     Config    ###############

enable_if_not_defined (force-icon-in-menus)
if (force-icon-in-menus)  # we believe that not showing icons in the menus by default is a terrible idea; unfortunately, it's not easily undoable for an end-user; so until this is fixed by a big player (Gnome, Ubuntu or other), we'll force the display, unless "-Dforce-icon-in-menus=yes" is provided in the cmake command.
	add_definitions (-DCAIRO_DOCK_FORCE_ICON_IN_MENUS=1)
else()
	add_definitions (-DCAIRO_DOCK_FORCE_ICON_IN_MENUS=0)
endif()


########### dependancies ###############

message ("")
message (STATUS "=====================")
message (STATUS "Check dependencies...")
message (STATUS "=====================")
message ("")

pkg_check_modules ("PACKAGE" REQUIRED "gldi")  # we check first the common libs that most plug-ins would need: basically, all the libs used by the core.
STRING (REGEX REPLACE "gldi;" "" PACKAGE_LIBRARIES "${PACKAGE_LIBRARIES}")  # but we don't want to link to gldi, since we are dl-opened by it.

# add_definitions (-DGTK_DISABLE_DEPRECATED="1")

#############    GLIB    #################
pkg_check_modules (GLIB glib-2.0)
	STRING (REGEX REPLACE "\\..*" "" GLIB_MAJOR "${GLIB_VERSION}") # 2.28.3 => 2
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" GLIB_MINOR "${GLIB_VERSION}")  # 2.28.3 => 2.28
	STRING (REGEX REPLACE "\\.[0-9]*" "" GLIB_MINOR "${GLIB_MINOR}") # 2.28 => 28
	STRING (REGEX REPLACE ".*\\." "" GLIB_NANO "${GLIB_VERSION}") # 2.28.3 => 3
	STRING (REGEX REPLACE "-.*" "" GLIB_NANO "${GLIB_NANO}")

############# SHARED-FILES #################
set (shared_filesdatadir "${pluginsdatadir}/shared-files")
add_subdirectory (shared-files)



################################################################################
#          STATIC LIBS AND DEPENDENCES USED BY MORE THAN ONE PLUG-IN           #
################################################################################



############# STATIC LIBRARIES ################
message (STATUS "> Static Libraries:")

############# GVFS-INTEGRATION ################
message (STATUS "> GVFS-Integration:")
pkg_check_modules ("LIBGIO" "gio-2.0") ## GIO is used by a few applets: do not offer the possibility to not disable it
add_subdirectory (gvfs-integration)

############# INDICATOR-APPLET #################
message (STATUS "> Indicator-Applet:")
enable_if_not_defined (enable-dbusmenu-support)
if (enable-dbusmenu-support)
	# Note: the names of dbusmenu-glib, dbusmenu-gtk and indicator have changed...
	## DBusMenu Glib
	set (DBUSMENU_MODULE dbusmenu-glib-0.4)
	pkg_check_modules (DBUSMENU ${DBUSMENU_MODULE})
	if (NOT DBUSMENU_FOUND)
		set (DBUSMENU_MODULE dbusmenu-glib)
		pkg_check_modules (DBUSMENU ${DBUSMENU_MODULE})
		set (INDICATOR_APPLICATIONADDED_HAS_HINT 0) # doesn't have 'hint' with old version
	else ()
		set (INDICATOR_APPLICATIONADDED_HAS_HINT 1) # now the ApplicationAdded signal (Status-Notifier) has a new parameter (hint) => https://code.launchpad.net/~ted/indicator-application/name-hints/+merge/67213
	endif()

	## DBusMenu Gtk
	set (DBUSMENU_GTK_MODULE dbusmenu-gtk3-0.4)
	pkg_check_modules (DBUSMENU_GTK ${DBUSMENU_GTK_MODULE})
	if (NOT DBUSMENU_GTK_FOUND)
		set (DBUSMENU_GTK_MODULE dbusmenu-gtk3)
		pkg_check_modules (DBUSMENU_GTK ${DBUSMENU_GTK_MODULE})
	endif()
endif()

## Indicator
enable_if_not_defined (enable-indicator-support)
if (enable-indicator-support)
	set (INDICATOR_APPLET_MODULE indicator3-0.4)
	pkg_check_modules (INDICATOR_APPLET ${INDICATOR_APPLET_MODULE})
	if (INDICATOR_APPLET_FOUND)
		set (INDICATOR_NEW_VERSION TRUE)  # oneiric and newer
	else()
		set (INDICATOR_APPLET_MODULE indicator3)
		pkg_check_modules (INDICATOR_APPLET ${INDICATOR_APPLET_MODULE})
	endif()
endif()

## libido
enable_if_not_defined (enable-libido-support)
if (enable-libido-support)
	set (IDO_MODULE libido3-0.1)
	pkg_check_modules (IDO ${IDO_MODULE})
	if (IDO_FOUND)
		STRING (REGEX REPLACE "\\..*" "" IDO_MAJOR "${IDO_VERSION}")
		STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" IDO_MINOR "${IDO_VERSION}")  # 0.1.7 => 1.7
		STRING (REGEX REPLACE "\\.[0-9]*" "" IDO_MINOR "${IDO_MINOR}")
		if (${IDO_MAJOR} GREATER 13
		    OR ${IDO_MAJOR} EQUAL 13 AND ${IDO_MINOR} GREATER 9)
			set (INDICATOR_NG 1)
		endif()
	endif()
endif()

## Extract versions of DBusMenu
if (DBUSMENU_FOUND AND DBUSMENU_GTK_FOUND)
	STRING (REGEX REPLACE "\\..*" "" DBUSMENU_MAJOR "${DBUSMENU_VERSION}")
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" DBUSMENU_MINOR "${DBUSMENU_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" DBUSMENU_MINOR "${DBUSMENU_MINOR}")
	STRING (REGEX REPLACE ".*\\." "" DBUSMENU_NANO "${DBUSMENU_VERSION}")
	STRING (REGEX REPLACE "-.*" "" DBUSMENU_NANO "${DBUSMENU_NANO}")

	STRING (REGEX REPLACE "\\..*" "" DBUSMENU_GTK_MAJOR "${DBUSMENU_GTK_VERSION}")
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" DBUSMENU_GTK_MINOR "${DBUSMENU_GTK_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" DBUSMENU_GTK_MINOR "${DBUSMENU_GTK_MINOR}")
	STRING (REGEX REPLACE ".*\\." "" DBUSMENU_GTK_NANO "${DBUSMENU_GTK_VERSION}")
	STRING (REGEX REPLACE "-.*" "" DBUSMENU_GTK_NANO "${DBUSMENU_GTK_NANO}")
	
	if (${DBUSMENU_GTK_MAJOR} GREATER 0 OR ${DBUSMENU_GTK_MINOR} GREATER 5
	    OR (${DBUSMENU_GTK_MINOR} EQUAL 5 AND ${DBUSMENU_GTK_NANO} GREATER 89))
		set (INDICATOR_APPLICATIONADDED_HAS_TITLE 1) # Status-Notifier: new parameter "Title" in the "added" signal since Precise
	else()
		set (INDICATOR_APPLICATIONADDED_HAS_TITLE 0)
	endif()
endif()

## Extract version of indicator
if (INDICATOR_APPLET_FOUND)
	STRING (REGEX REPLACE "\\..*" "" INDICATOR_MAJOR "${INDICATOR_APPLET_VERSION}")
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" INDICATOR_MINOR "${INDICATOR_APPLET_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" INDICATOR_MINOR "${INDICATOR_MINOR}")
	STRING (REGEX REPLACE ".*\\." "" INDICATOR_NANO "${INDICATOR_APPLET_VERSION}")
	STRING (REGEX REPLACE "-.*" "" INDICATOR_NANO "${INDICATOR_NANO}")
	
	if (${INDICATOR_MAJOR} GREATER 0 OR ${INDICATOR_MINOR} GREATER 4
	    OR (${INDICATOR_MINOR} EQUAL 4 AND ${INDICATOR_NANO} GREATER 89))
		set (SOUND_SERVICE_VERSION 1) # Sound-Menu: new DBus path
		set (INDICATOR_MESSAGES_HAS_LOZENGE 1)   # Messaging Menu has 'right-is-lozenge'
	else() # older than Precise.
		set (SOUND_SERVICE_VERSION 0)
		set (INDICATOR_MESSAGES_HAS_LOZENGE 0)
	endif()

	if (INDICATOR_NEW_VERSION)  # oneiric and newer
		execute_process(
			COMMAND pkg-config --variable=iconsdir indicator3-0.4
			OUTPUT_VARIABLE INDICATORICONSDIR)
		execute_process(
			COMMAND pkg-config --variable=indicatordir indicator3-0.4
			OUTPUT_VARIABLE INDICATORDIR)
		STRING (REGEX REPLACE "\n" "" INDICATORDIR ${INDICATORDIR})
		set (with_indicator3 yes)
		message (STATUS "  Indicators: with Indicator3 support")
	else()
		execute_process(
			COMMAND pkg-config --variable=iconsdir indicator3
			OUTPUT_VARIABLE INDICATORICONSDIR)
	endif()
	STRING (REGEX REPLACE "\n" "" INDICATORICONSDIR "${INDICATORICONSDIR}")  # la commande rajoute un retour chariot ...

=== Animated-icons/CMakeLists.txt ===

add_subdirectory(src)
add_subdirectory(data)


########### install files ###############




#original Makefile.am contents follow:

##dnl Process this file with automake to produce Makefile.in
#
#SUBDIRS = . src data

=== Composite-Manager/CMakeLists.txt ===
add_subdirectory(src)
add_subdirectory(data)

=== Doncky/CMakeLists.txt ===
add_subdirectory(src)
add_subdirectory(data)


########### install files ###############




#original Makefile.am contents follow:

##dnl Process this file with automake to produce Makefile.in
#
#SUBDIRS = . src data

=== Global-Menu/CMakeLists.txt ===
add_subdirectory(src)
add_subdirectory(data)
 
if (PYTHON2_FOUND OR PYTHON3_FOUND)
	add_subdirectory(registrar)
endif()

=== Indicator-applet/CMakeLists.txt ===

SET(impl_SRCS
	indicator-applet.c			indicator-applet.h
)

add_library(indicator-applet STATIC ${impl_SRCS})

# Needed for amd64 architecture
add_definitions (-fPIC)
add_definitions (-DINDICATOR_ICONS_DIR="${INDICATORICONSDIR}")

link_directories(
	${PACKAGE_LIBRARY_DIRS}
	${DBUSMENU_LIBRARY_DIRS}
	${DBUSMENU_GTK_LIBRARY_DIRS}
	${INDICATOR_APPLET_LIBRARY_DIRS})

include_directories(
	${PACKAGE_INCLUDE_DIRS}
	${DBUSMENU_INCLUDE_DIRS}
	${DBUSMENU_GTK_INCLUDE_DIRS}
	${INDICATOR_APPLET_INCLUDE_DIRS})

########### install files ###############

=== Indicator-applet3/CMakeLists.txt ===

SET(impl_SRCS
	indicator-applet3.c			indicator-applet3.h
	indicator-applet3-utils.c	indicator-applet3-utils.h
)

add_library(indicator-applet3 STATIC ${impl_SRCS})

# Needed for amd64 architecture
add_definitions (-fPIC)
add_definitions (-DINDICATOR_DIR="${INDICATORDIR}")
add_definitions (-DCD_APPLET_MULTI_INSTANCE="1")

if (INDICATOR_NG)
	add_definitions (-DIS_INDICATOR_NG=1)
	set (EXTRAS_LIBRARY_DIRS ${IDO_LIBRARY_DIRS})
	set (EXTRAS_INCLUDE_DIRS ${IDO_INCLUDE_DIRS})
	set (EXTRAS_LIBRARIES    ${IDO_LIBRARIES})
endif()

link_directories(
	${PACKAGE_LIBRARY_DIRS}
	${EXTRAS_LIBRARY_DIRS}
	${INDICATOR_APPLET_LIBRARY_DIRS})

include_directories(
	${PACKAGE_INCLUDE_DIRS}
	${EXTRAS_INCLUDE_DIRS}
	${INDICATOR_APPLET_INCLUDE_DIRS})

target_link_libraries (indicator-applet3
	${PACKAGE_LIBRARIES}
	${EXTRAS_LIBRARIES}
	${INDICATOR_APPLET_LIBRARIES})

########### install files ###############

=== Status-Notifier/CMakeLists.txt ===

add_subdirectory(src)
add_subdirectory(data)

if (PYTHON2_FOUND OR PYTHON3_FOUND)
	add_subdirectory(watcher)
endif()

=== Cairo-Penguin/data/CMakeLists.txt ===
add_subdirectory (themes)


########### install files ###############

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/Cairo-Penguin.conf
	preview.jpg
	icon.png
	DESTINATION ${cairo_penguindatadir})

=== Cairo-Penguin/src/CMakeLists.txt ===

########### next target ###############

SET(cd-Cairo-Penguin_LIB_SRCS
	applet-init.c
	applet-init.h
	applet-config.c
	applet-config.h
	applet-notifications.c
	applet-notifications.h
	applet-theme.c
	applet-theme.h
	applet-animation.c
	applet-animation.h
	applet-struct.h
)

add_library(${PACKAGE_CAIRO_PENGUIN} SHARED ${cd-Cairo-Penguin_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${cairo_penguindatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Cairo-Penguin.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="${cairo_penguinuserdirname}")
add_definitions (-DMY_APPLET_VERSION="${VERSION_CAIRO_PENGUIN}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_CAIRO_PENGUIN}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.png")
add_definitions (-DCD_APPLET_MULTI_INSTANCE="1")
add_definitions (-DGL_GLEXT_PROTOTYPES="1")

include_directories (
	${PACKAGE_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_CAIRO_PENGUIN}
	${PACKAGE_LIBRARIES})

install(TARGETS ${PACKAGE_CAIRO_PENGUIN} DESTINATION ${pluginsdir})



#original Makefile.am contents follow:

# #dnl Process this file with automake to produce Makefile.in
#
#lib_LTLIBRARIES = 
#	libcd-Cairo-Penguin.la
#
#
#libcd_Cairo_Penguin_la_SOURCES = 
#	applet-init.c
#	applet-init.h
#	applet-config.c
#	applet-config.h
#	applet-notifications.c
#	applet-notifications.h
#	applet-theme.c
#	applet-theme.h
#	applet-animation.c
#	applet-animation.h
#	applet-struct.h
#
#
#dock_version = `pkg-config --modversion cairo-dock`
#
#libcd_Cairo_Penguin_la_CFLAGS = 
#	-I$(top_srcdir)/src
#	$(PACKAGE_CFLAGS)
#	-DMY_APPLET_SHARE_DATA_DIR=""${cairo_penguindatadir)""
#	-DMY_APPLET_PREVIEW_FILE=""preview.jpg""
#	-DMY_APPLET_CONF_FILE=""Cairo-Penguin.conf""
#	-DMY_APPLET_USER_DATA_DIR=""${cairo_penguinuserdirname)""
#	-DMY_APPLET_VERSION=""${VERSION_CAIRO_PENGUIN)""
#	-DMY_APPLET_GETTEXT_DOMAIN=""${GETTEXT_CAIRO_PENGUIN)""
#	-DMY_APPLET_DOCK_VERSION=""${dock_version)""
#	-DMY_APPLET_ICON_FILE=""icon.png""
#	-DCD_APPLET_MULTI_INSTANCE="1"
#	-DGL_GLEXT_PROTOTYPES=""1""
#	-std=c99
#	-Werror-implicit-function-declaration
##	-g -ggdb -W -Wall
#
#
#libcd_Cairo_Penguin_la_LIBADD = 
#	$(PACKAGE_LIBS) -lm
#
#
#libcd_Cairo_Penguin_la_LDFLAGS =
#	-avoid-version -module

=== Clipper/data/CMakeLists.txt ===

########### install files ###############

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/Clipper.conf
	preview.jpg
	icon.svg
	Clipper-actions-gnome.conf
	Clipper-actions-xfce.conf
	Clipper-actions-kde.conf
	DESTINATION ${Clipperdatadir})

=== Clipper/src/CMakeLists.txt ===

########### next target ###############

SET(cd-Clipper_LIB_SRCS
	applet-init.c 		applet-init.h
	applet-config.c 		applet-config.h
	applet-notifications.c 	applet-notifications.h
	applet-clipboard.c 	applet-clipboard.h
	applet-struct.h
)

add_library(${PACKAGE_CLIPPER} SHARED ${cd-Clipper_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${Clipperdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Clipper.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Clipper")
add_definitions (-DMY_APPLET_VERSION="${VERSION_CLIPPER}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_CLIPPER}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")

include_directories (
	${PACKAGE_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_CLIPPER}
	${PACKAGE_LIBRARIES})

install(TARGETS ${PACKAGE_CLIPPER} DESTINATION ${pluginsdir})


########### install files ###############




#original Makefile.am contents follow:

# #dnl Process this file with automake to produce Makefile.in
#
#lib_LTLIBRARIES = 
#	libcd-Clipper.la
#
#
#libcd_Clipper_la_SOURCES = 
#	applet-init.c
#	applet-init.h
#	applet-config.c
#	applet-config.h
#	applet-notifications.c
#	applet-notifications.h
#	applet-clipboard.c
#	applet-clipboard.h
#	applet-struct.h
#
#
#dock_version = `pkg-config --modversion cairo-dock`
#
#libcd_Clipper_la_CFLAGS = 
#	-I$(top_srcdir)/src
#	$(PACKAGE_CFLAGS)
#	-DMY_APPLET_SHARE_DATA_DIR=""${Clipperdatadir)""
#	-DMY_APPLET_PREVIEW_FILE=""preview.jpg""
#	-DMY_APPLET_CONF_FILE=""Clipper.conf""
#	-DMY_APPLET_USER_DATA_DIR=""Clipper""
#	-DMY_APPLET_VERSION=""${VERSION_CLIPPER)""
#	-DMY_APPLET_GETTEXT_DOMAIN=""${GETTEXT_CLIPPER)""
#	-DMY_APPLET_DOCK_VERSION=""${dock_version)""
#	-DMY_APPLET_ICON_FILE=""icon.svg""
#	-std=c99
#	-Werror-implicit-function-declaration
##	-g -ggdb -W -Wall
#
#
#libcd_Clipper_la_LIBADD = 
#	$(PACKAGE_LIBS) -lm
#
#
#libcd_Clipper_la_LDFLAGS =
#	-avoid-version -module

=== debian/changelog ===
cairo-dock-plug-ins (3.4.1+git20201022.a0d3415c-1build1) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 23:27:21 +0000

=== debian/control ===
Source: cairo-dock-plug-ins
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Cairo-dock Maintainers <team+pkg-cairo-dock-devel@tracker.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
 Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: cdbs, debhelper (>= 9), cmake(>= 2.8.0), dpkg-dev (>= 1.16.1~),
 cairo-dock-dev (>= 3.4.1),
 cli-common-dev [amd64 armel armhf i386 mipsel kfreebsd-any ppc64 ppc64el s390x],
 libasound2-dev [linux-any],
 libcairo2-dev (>= 1.8.0),
 libcurl4-gnutls-dev,
 libssl-dev,
 libdbus-glib-1-dev,
 libdbusmenu-glib-dev,
 libdbusmenu-gtk3-dev,
 libetpan-dev,
 libexif-dev,
 libgl1-mesa-dev | libgl-dev,
 libglib2.0-cil-dev [amd64 armel armhf i386 mipsel kfreebsd-any ppc64 ppc64el s390x],
 libglib2.0-dev,
 libglu1-mesa-dev | libglu-dev,
 libgnome-menu-3-dev,
 libgnutls28-dev,
 libgtk-3-dev,
 libical-dev,
 libayatana-ido3-dev,
 libayatana-indicator3-dev,
 libdbus-glib2.0-cil-dev [amd64 armel armhf i386 mipsel kfreebsd-any ppc64 ppc64el s390x],
 libdbus2.0-cil-dev [amd64 armel armhf i386 mipsel kfreebsd-any ppc64 ppc64el s390x],
 libpango1.0-dev,
 libpulse-dev,
 librsvg2-dev,
 libsensors-dev,
 libupower-glib-dev,
 libvte-2.91-dev,
 libxklavier-dev,
 libxml2-dev,
 libxtst-dev,
 libxxf86vm-dev,
 libzeitgeist-2.0-dev,
 mono-devel [amd64 armel armhf i386 mipsel kfreebsd-any ppc64 ppc64el s390x],
 python3,
 ruby,
 ruby-dev,
 valac,
 x11proto-xf86vidmode-dev
Build-Conflicts: libwebkitgtk-3.0-dev, python-minimal
Standards-Version: 4.1.4
Homepage: http://www.glx-dock.org/
Vcs-Git: https://salsa.debian.org/cairo-dock-team/cairo-dock-plug-ins.git
Vcs-Browser: https://salsa.debian.org/cairo-dock-team/cairo-dock-plug-ins

Package: cairo-dock-plug-ins
Architecture: any
Depends: ${misc:Depends},
  cairo-dock-alsamixer-plug-in [linux-any],
  cairo-dock-animated-icons-plug-in,
  cairo-dock-cairo-penguin-plug-in,
  cairo-dock-clipper-plug-in,
  cairo-dock-clock-plug-in,
  cairo-dock-dbus-plug-in,
  cairo-dock-desklet-rendering-plug-in,
  cairo-dock-dialog-rendering-plug-in,
  cairo-dock-drop-indicator-plug-in,
  cairo-dock-dustbin-plug-in,
  cairo-dock-icon-effect-plug-in,
  cairo-dock-illusion-plug-in,
  cairo-dock-logout-plug-in,
  cairo-dock-motion-blur-plug-in,
  cairo-dock-netspeed-plug-in,
  cairo-dock-powermanager-plug-in,
  cairo-dock-quick-browser-plug-in,
  cairo-dock-rendering-plug-in,
  cairo-dock-shortcuts-plug-in,
  cairo-dock-showdesktop-plug-in,
  cairo-dock-showmouse-plug-in,
  cairo-dock-slider-plug-in,
  cairo-dock-stack-plug-in,
  cairo-dock-switcher-plug-in,
  cairo-dock-systray-plug-in,
  cairo-dock-tomboy-plug-in,
  cairo-dock-toons-plug-in,
  cairo-dock-weather-plug-in,
  cairo-dock-wifi-plug-in,
  cairo-dock-xgamma-plug-in,
  cairo-dock-gmenu-plug-in,
  cairo-dock-keyboard-indicator-plug-in,
  cairo-dock-terminal-plug-in,
  cairo-dock-mail-plug-in,
  cairo-dock-rssreader-plug-in,
  cairo-dock-system-monitor-plug-in,
  cairo-dock-dnd2share-plug-in,
  cairo-dock-musicplayer-plug-in,
  cairo-dock-folders-plug-in,
  cairo-dock-impulse-plug-in,
  cairo-dock-messaging-menu-plug-in,
  cairo-dock-recent-events-plug-in,
  cairo-dock-remote-control-plug-in
Breaks: cairo-dock-plugins (<< 2.4.0~2-1)
Replaces: cairo-dock-plugins (<< 2.4.0~2-1)
Description: Cairo-dock - All plug-ins
 A collection of official plug-ins and applets for cairo-dock.
 .
 This is a metapackage depending on all available cairo-dock plug-ins to make
 installation easier.

Package: cairo-dock-plug-in-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: cairo-dock-plugin-data (<< 2.4.0~2-1)
Replaces: cairo-dock-plugin-data (<< 2.4.0~2-1)
Description: Cairo-dock - Plug-in data files
 A collection of official plug-ins and applets for cairo-dock.
 .
 This package provides plug-in data files.

Package: cairo-dock-alsamixer-plug-in
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Breaks: cairo-dock-alsamixer-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-alsamixer-plugin (<< 2.4.0~2-1)
Description: Alsamixer plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in lets you control the sound volume from the dock.
 This works with the Alsa sound driver.

Package: cairo-dock-animated-icons-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Breaks: cairo-dock-animated-icons-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-animated-icons-plugin (<< 2.4.0~2-1)
Description: Animated icons plug-in Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in provides many different animations for your icons.

Package: cairo-dock-cairo-penguin-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Breaks: cairo-dock-cairo-penguin-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-cairo-penguin-plugin (<< 2.4.0~2-1)
Description: Cairo-Penguin plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in adds a lively Penguin in your dock.
 Tux images are taken from Pingus, some other characters are available
 or can be added easily.

Package: cairo-dock-clipper-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Breaks: cairo-dock-clipper-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-clipper-plugin (<< 2.4.0~2-1)
Description: Clipper plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in keeps a trace of the clipboard and mouse selection,
 so that you can recall them quickly. It's a clone of the well-know Klipper.
 This supports clipboard and mouse selection, predefined actions, and
 persistent items.

Package: cairo-dock-clock-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Breaks: cairo-dock-clock-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-clock-plugin (<< 2.4.0~2-1)
Description: Clock plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in displays time and date in your dock.
 Two views are available : numeric and analogic, based on Cairo-Clock.
 This is compatible with the Cairo-Clock's themes, and you can detach itself to
 be a perfect clone of Cairo-Clock.
 And this supports alarms, and a basic calendar, and allows you to set time
 and date.

Package: cairo-dock-dbus-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Breaks: cairo-dock-dbus-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-dbus-plugin (<< 2.4.0~2-1)
Suggests: cairo-dock-dbus-plug-in-interface-python (>= ${source:Version}),
	cairo-dock-dbus-plug-in-interface-ruby (>= ${source:Version}),
	cairo-dock-dbus-plug-in-interface-mono (>= ${source:Version}),
	cairo-dock-dbus-plug-in-interface-vala (>= ${source:Version})
Description: Dbus plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock
 .
 This plug-in lets external applications interact on the dock.
 The communication between both sides is based on Dbus.

Package: cairo-dock-dbus-plug-in-interface-python
Architecture: all
Depends: cairo-dock-plug-ins (>= ${source:Version}), ${misc:Depends}, python3
Description: library of D-Bus interface for Python of Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This package provides library of Cairo-Dock D-Bus interface for Python.

Package: cairo-dock-dbus-plug-in-interface-ruby
Architecture: all
Depends: cairo-dock-plug-ins (>= ${source:Version}), ${misc:Depends}, ruby
Description: library of D-Bus interface for ruby of Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This package provides library of Cairo-Dock D-Bus interface for ruby.

Package: cairo-dock-dbus-plug-in-interface-mono
Architecture: amd64 armel armhf i386 mipsel kfreebsd-any ppc64 ppc64el s390x
Depends: cairo-dock-plug-ins (>= ${source:Version}), ${misc:Depends}, ${cli:Depends}
Description: library of D-Bus interface for mono of Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This package provides library of Cairo-Dock D-Bus interface for mono

Package: cairo-dock-dbus-plug-in-interface-vala
Architecture: any
Depends: cairo-dock-plug-ins (>= ${source:Version}), ${shlibs:Depends},
	${misc:Depends}, valac
Description: library of D-Bus interface for vala of Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This package provides library of Cairo-Dock D-Bus interface for vala.

Package: cairo-dock-desklet-rendering-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Breaks: cairo-dock-desklet-rendering-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-desklet-rendering-plugin (<< 2.4.0~2-1)
Description: Desklet rendering plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in renders your desktop.

Package: cairo-dock-dialog-rendering-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Breaks: cairo-dock-dialog-rendering-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-dialog-rendering-plugin (<< 2.4.0~2-1)
Description: Dialog rendering plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in provides some dialog decorators for dialog bubbles.

Package: cairo-dock-drop-indicator-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Breaks: cairo-dock-drop-indicator-plugin  (<< 2.4.0~2-1)
Replaces: cairo-dock-drop-indicator-plugin (<< 2.4.0~2-1)
Description: Drop indicator plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in displays an animated indicator when you drop something
 in the dock.

Package: cairo-dock-dustbin-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Breaks: cairo-dock-dustbin-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-dustbin-plugin (<< 2.4.0~2-1)
Description: Dustbin plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in manages the dustbin.
 Users can delete files and unmount disks by drag and dropping them on
 the icon.
 This can warn users if they use too much space.

Package: cairo-dock-icon-effect-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Breaks: cairo-dock-icon-effect-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-icon-effect-plugin (<< 2.4.0~2-1)
Description: Icon effect plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in adds many special effects to your icons.

Package: cairo-dock-illusion-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Breaks: cairo-dock-illusion-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-illusion-plugin (<< 2.4.0~2-1)
Description: Illusion plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in provides animations for appearance and disappearance of icons.

Package: cairo-dock-logout-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Breaks: cairo-dock-logout-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-logout-plugin (<< 2.4.0~2-1)
Description: Logout plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 A very simple plug-in that adds an icon to log out from your session.

Package: cairo-dock-motion-blur-plug-in
Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS) -D_POSIX_C_SOURCE=200809L
CXXFLAGS+=$(CPPFLAGS) -D_POSIX_C_SOURCE=200809L

DEB_CMAKE_EXTRA_FLAGS += \
	-DROOT_PREFIX=$(CURDIR)/debian/tmp \
	-Denable-gnome-integration=ON \
	-Denable-old-gnome-integration=OFF \
	-Denable-kde-integration=ON \
	-Denable-xfce-integration=ON \
	-DGMCS_EXECUTABLE=/usr/bin/mono-csc \
	-DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

common-binary-predeb-arch::
	if [ -e /usr/share/mono/mono-archs.make ] ; then \
		dh_clifixperms ; \
		dh_clideps -d ; \
	fi

=== debian/watch ===
version=3
https://launchpad.net/cairo-dock-plug-ins/+download .*/cairo-dock-plugins-([\d\.]+.*)?.tar.gz
